select --- ltp.application_name
           ld.EVENT_CLASS_CODE " "
           	--- , clattr.reporting_view_name " "
            , ld.EVENT_TYPE_CODE " "
            , ld.LINE_DEFINITION_CODE " "
            , ld.NAME " "
       , ld.DESCRIPTION " ", null as LINE
       , ltp.accounting_line_code "  ", ltp.name "  ", ltp.description "  "
        , decode(ltp.natural_side_code, 'C', '', 'D', '', ltp.natural_side_code) as ""
        , NULL as CONDITION
        , XXSLA_REPORT_PKG.get_cond(ld.APPLICATION_ID 
                                     , ltp.amb_context_code
                                     , ltp.entity_code 
                                     , ltp.event_class_code 
                                     , ltp.accounting_line_code
                                     ) as "  " 
       
        , null as "acc rules"
        , acr.segment_rule_code as "  . ", acr.flexfield_segment_name as ""
        , acr.segment_rule_name " ", acr.segment_rule_desc " "
        -- , null as " "
        -- , rd.segment_rule_detail_id
        ---------------- , (rd.value_source_code) as ""
       ---  , null as "acc creation rules cond"
        --- , rc.value_source_type_code
        , case when rc.condition_id is not null then
               rc.source_code || ' ' || DECODE(rc.LINE_OPERATOR_CODE,'D','!=','E','=') ||  ' ' || rc.value_constant
          end as " "
        , (rd.value_source_code) as "" 
        , nvl(rd.value_constant
          , (select glc.concatenated_segments from gl_code_combinations_kfv glc where glc.code_combination_id= rd.value_code_combination_id) 
          ) as "" 
          
 from xla_line_definitions_vl ld, xla_event_class_attrs_fvl clattr , xla_acct_line_types_fvl ltp, xla_line_defn_adr_assgns_f_v acr, xla_seg_rule_details rd, xla_conditions rc
          where ld.APPLICATION_ID = 0 
                and ld.EVENT_CLASS_CODE in( 'XXSLA_EVENT1', 'XXSLA_EVENT2')
                and ld.ENABLED_FLAG = 'Y' and ltp.enabled_flag = 'Y'
                and ltp.application_id = ld.APPLICATION_ID
                and ld.EVENT_CLASS_CODE = ltp.event_class_code
                and acr.amb_context_code = ltp.amb_context_code
                and acr.LINE_DEFINITION_CODE = ld.LINE_DEFINITION_CODE
                and acr.EVENT_CLASS_CODE = ld.EVENT_CLASS_CODE
                and acr.EVENT_TYPE_CODE = ld.EVENT_TYPE_CODE
                and acr.ACCOUNTING_LINE_CODE = ltp.accounting_line_code
                and rd.application_id  = acr.application_id
                and rd.amb_context_code = acr.amb_context_code
                and rd.segment_rule_type_code = acr.segment_rule_type_code
                and rd.segment_rule_code = acr.segment_rule_code
                
                and clattr.application_id = ld.APPLICATION_ID and clattr.entity_code = ltp.entity_code and clattr.event_class_code = ld.EVENT_CLASS_CODE
                
                and rd.segment_rule_detail_id = rc.SEGMENT_RULE_DETAIL_ID (+)
                and rd.application_id = rc.application_id (+)

                order by ld.EVENT_CLASS_CODE, ltp.accounting_line_code,  acr.flexfield_segment_num asc ,  rc.user_sequence
